*{
    margin:0;
    padding: 0;
    box-sizing: border-box;
}

html, body{
    height: 100%;
}

.container{
    max-width: 700px;
    margin: auto;
}

.case{
    height: 100vh;
    display: flex;
    align-items: center;
    margin: 0 1em;
}
.first-case{
    position: relative;
    border-radius: 10px;
    background-color: brown;
    width: 100%;
    height: 300px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    padding: 1em;
    gap: 1em;
}
.screen{
    position: relative;
    border-radius: 10px;
    background-color: blue;
    grid-row: 1/3 ;
    
}

.screen img{
    position: absolute;
    left: 50%;
    top:50%;
    transform: translate(-50%,-50%);
    height: 100%;
}

.info-poke-container{
    overflow-y: scroll;
    border-radius: 10px;
    padding: 1em;
    background-color: #184d48;
    grid-row:1/3 ;
}

.info-poke{
    display: grid;
    grid-template-columns: 6em 1fr;
    color: #ffffff;
    border-bottom: #184d48 solid 1px;
}

.bg-info-title{
    padding: 5px;
    background-color: #238051;
}
.bg-info {
    padding: 5px;
    padding-left: 10px;
    background-color: #579b79;
}

.input-poke{
    padding: 1em;
    background-color: blueviolet;
    grid-column: 1/3;
    grid-row:3/4 ;
    display:flex;
    justify-content: space-around;
}

.input-poke input{
    outline: none;
    border: none;
    border-radius: 10px;
}

.input-poke input[type=text]{
padding: 0 1em;
}

.bt-action-poke{
    cursor: pointer;
    height:50px;
    width:50px;
    border-radius: 50%;
    background-color: brown;
}

.bt-action-poke:hover{
    background-color: #e64b4b;
}

@media screen and (max-width:550px){
    .first-case{
        height: 90vh;
    }
    .screen{
        height: 200px;
        grid-row:1/2 ;
        grid-column:1/3 ;
    }
    .info-poke-container{
        grid-row:2/3 ;
        grid-column:1/3 ;
    }
    
    .input-poke{
        flex-direction: column;
        align-items: center;
    }
    
    .input-poke input{
        outline: none;
        border: none;
        border-radius: 10px;
        height: 50px;
    }
    
    
}